JUCE: juce::midi_ci::BlockProfileStates Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::BlockProfileStates Class Reference
juce_midi_ci » ci

Contains profile states for each group and channel in a function block, along with the state of profiles that apply to the function block itself. More...

`#include <juce_CIProfileStates.h>`

## Public Member Functions
auto * | getStateForDestination (ChannelAddress address)
| Returns the profile state for the function block, group, or channel as appropriate.
auto * | getStateForDestination (ChannelAddress address) const
| Returns the profile state for the function block, group, or channel as appropriate.

## Public Attributes
std::array< GroupProfileStates, 16 > | groupStates
| Profile states for each group in the function block.
ChannelProfileStates | blockState
| Profile states for the whole function block.

## Detailed Description

Contains profile states for each group and channel in a function block, along with the state of profiles that apply to the function block itself.

## Member Function Documentation

## ◆ getStateForDestination() [1/2]

auto * juce::midi_ci::BlockProfileStates::getStateForDestination | ( | ChannelAddress | address | ) |

Returns the profile state for the function block, group, or channel as appropriate.

Returns nullptr if the address refers to a non-existent channel or group.

Referenced by juce::midi_ci::ProfileHost::getState().

## ◆ getStateForDestination() [2/2]

auto * juce::midi_ci::BlockProfileStates::getStateForDestination | ( | ChannelAddress | address | ) | const

Returns the profile state for the function block, group, or channel as appropriate.

Returns nullptr if the address refers to a non-existent channel or group.

## Member Data Documentation

## ◆ groupStates

std::array<GroupProfileStates, 16> juce::midi_ci::BlockProfileStates::groupStates

Profile states for each group in the function block.

## ◆ blockState

ChannelProfileStates juce::midi_ci::BlockProfileStates::blockState

Profile states for the whole function block.

The documentation for this class was generated from the following file:

- juce_CIProfileStates.h